Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection
Interface SortParameters

All Known Implementing Classes:
  DefaultSortParameters

    public interface SortParameters

Entity containing the parameters for the SORT operation.

Nested Class Summary
`static class` | `SortParameters.Order` Sorting order.
`static class` | `SortParameters.Range` Utility class wrapping the 'LIMIT' setting.

Method Summary
`byte[]` | `getByPattern()` Returns the pattern (if set) for sorting by external keys (`BY`).
`byte[][]` | `getGetPattern()` Returns the pattern (if set) for retrieving external keys (`GET`).
`SortParameters.Range` | `getLimit()` Returns the sorting limit (range or pagination).
`SortParameters.Order` | `getOrder()` Returns the sorting order.
`Boolean` | `isAlphabetic()` Indicates if the sorting is numeric (default) or alphabetical (lexicographical).

Method Detail

### getOrder

    SortParameters.Order getOrder()

  Returns the sorting order. Can be null if nothing is specified.

  Returns:
    sorting order

### isAlphabetic

    Boolean isAlphabetic()

  Indicates if the sorting is numeric (default) or alphabetical (lexicographical). Can be null if nothing is specified.

  Returns:
    the type of sorting

### getByPattern

    byte[] getByPattern()

  Returns the pattern (if set) for sorting by external keys (`BY`). Can be null if nothing is specified.

  Returns:
    `BY` pattern.

### getGetPattern

    byte[][] getGetPattern()

  Returns the pattern (if set) for retrieving external keys (`GET`). Can be null if nothing is specified.

  Returns:
    `GET` pattern.

### getLimit

    SortParameters.Range getLimit()

  Returns the sorting limit (range or pagination). Can be null if nothing is specified.

  Returns:
    sorting limit/range

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD